ChiliProject - Feature # 809: Bulk add and search for projects when adding a member

Status: Closed
Author: Eric Davis
Created: 2011-12-29
Updated: 2011-12-29

Priority: Normal
Category: User accounts
Assignee: Eric Davis
Due date:

Remote issue URL:
Affected version:
Description:

This replaces the select field with the standard autocomplete search field when adding projects to users or

groups (e.g. /groups/n/edit > Projects tab). This makes it easier to find specific projects, allows adding multiple
projects at once, and prevents overloading a select field (1000+ projects).

Patch coming as soon as the tests finish.

Associated revisions

2008-03-07 06:15 pm - Jean-Philippe Lang
Translations (closes #789, #790, #798, #803, #809):
* Danish added (Mads Vestergaard)

* Polish updated (Mariusz Olejnik)

* Finnish updated (Antti PerkiAqmAski)

* Simplified Chinese updated (chaoqun zou)

* Traditional Chinese updated (shortie lo)

git-svn-id: http://redmine.rubyforge.org/svn/trunk@1204 e93f8b46-1217-0410-a6f0-8f06a7374b81

2011-12-29 06:30 pm - Eric Davis
[#809] Refactored a duplicate form to a partial.

2011-12-29 06:30 pm - Eric Davis
[#809] Multiple projects can now be assigned to a group or user.

* Added a Javascript autocomplete for searching Projects
* Updated the Users and Groups controllers' #edit_membership method to

create/update multiple Member records

2011-12-29 07:08 pm - Eric Davis

[#809] Fixed a nil object error in params.

History

2011-12-29 05:59 pm - Eric Davis
- Target version set to 3.0.0

- Status changed from Open to Closed

Added in commit:a3b1127e along with some view refactoring.
